ECHO OFF
REM #***********************************************************************
REM #* (c) Copyright IBM Corp. 2008 All rights reserved.                   *
REM #*                                                                     *
REM #* This sample program is owned by International Business Machines     *
REM #* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
REM #* and licensed, not sold.                                             *
REM #*                                                                     *
REM #* You may copy, modify, and distribute this sample program in any     *
REM #* form without payment to IBM,  for any purpose including developing, *
REM #* using, marketing or distributing programs that include or are       *
REM #* derivative works of the sample program.                             *
REM #*                                                                     *
REM #* The sample program is provided to you on an "AS IS" basis, without  *
REM #* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
REM #* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
REM #* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
REM #* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
REM #* limitation of implied warranties, so the above limitations or       *
REM #* exclusions may not apply to you.  IBM shall not be liable for any   *
REM #* damages you suffer as a result of using, modifying or distributing  *
REM #* the sample program or its derivatives.                              *
REM #*                                                                     *
REM #* Each copy of any portion of this sample program or any derivative   *
REM #* work,  must include the above copyright notice and disclaimer of    *
REM #* warranty.                                                           *
REM #*                                                                     *
REM #***********************************************************************
REM
REM Set to the appropriate JDBC driver file(s)
REM The following is for a JDBC type 2 or 4 connection to DB2 for z/OS
set DB2DRIVER=d:\sqllib\java\db2jcc.jar;d:\sqllib\java\db2jcc_license_cisuz.jar
REM The following is for a JDBC type 2 or 4 connection to DB2 for LUW
set DB2DRIVER=d:\sqllib\java\db2jcc.jar;d:\sqllib\java\db2jcc_license_cu.jar

REM To use the graphic option, the JFreeChart libraries need to be specified
REM The following versions have been used successfully
set GRAPH=jcommon-1.0.12.jar;jfreechart-1.0.8a.jar

REM swap the following if the graphic option is being used
set CP=idxadv.jar;%DB2DRIVER%;%GRAPH%
set CP=idxadv.jar;%DB2DRIVER%

set STARTCLASS=com.ibm.db2.gse.idxadv.SpatialTableAnalyzerMain

REM The following parameters can be specified:
REM 1 - connection URL
REM 2 - database name
REM 3 - connection userid
REM 4 - password

REM The following uses the type 2 connection - no password provided
REM java -classpath %CP% %STARTCLASS%     jdbc:db2: dbname userid

REM The following uses the type 4 connection - no password provided
REM java -classpath %CP% %STARTCLASS% jdbc:db2://localhost:50000/ dbname userid

REM The following uses the type 4 connection - password provided
REM java -classpath %CP% %STARTCLASS% jdbc:db2://hostname:50000/ dbname userid password
    java -classpath %CP% %STARTCLASS% jdbc:db2://localhost:50000/ bankdemo db2admin db2admin
