#!/usr/bin/sh
#***********************************************************************
#* (c) Copyright IBM Corp. 2008 All rights reserved.                   *
#*                                                                     *
#* This sample program is owned by International Business Machines     *
#* Corporation or one of its subsidiaries ("IBM") and is copyrighted   *
#* and licensed, not sold.                                             *
#*                                                                     *
#* You may copy, modify, and distribute this sample program in any     *
#* form without payment to IBM,  for any purpose including developing, *
#* using, marketing or distributing programs that include or are       *
#* derivative works of the sample program.                             *
#*                                                                     *
#* The sample program is provided to you on an "AS IS" basis, without  *
#* warranty of any kind.  IBM HEREBY  EXPRESSLY DISCLAIMS ALL          *
#* WARRANTIES EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO *
#* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTIC- *
#* ULAR PURPOSE. Some jurisdictions do not allow for the exclusion or  *
#* limitation of implied warranties, so the above limitations or       *
#* exclusions may not apply to you.  IBM shall not be liable for any   *
#* damages you suffer as a result of using, modifying or distributing  *
#* the sample program or its derivatives.                              *
#*                                                                     *
#* Each copy of any portion of this sample program or any derivative   *
#* work,  must include a the above copyright notice and disclaimer of  *
#* warranty.                                                           *
#*                                                                     *
#***********************************************************************
echo on

# if you want to use the graphing capability, download and install
# the JFreeChart open source library
GRAPH=jcommon-1.0.12.jar:jfreechart-1.0.8a.jar

# set the following to point to the DB2 JDBC drivers
DB2JDBC=db2jccfree.jar

ANALYZER=idxadv.jar

# swap the following lines to enable the graphing
CP=$ANALYZER:$DB2JDBC:$GRAPH

echo $CP
STARTCLASS=com.ibm.db2.gse.idxadv.SpatialTableAnalyzerMain
java -classpath $CP $STARTCLASS jdbc:db2://dadler.dynalias.org:50000/ bankdemo db2admin db2admin
